Bug 1317231 - F23: kernel 4.4.4-301 no HDMI graphics with Intel graphics driver
F23: kernel 4.4.4-301 no HDMI graphics with Intel graphics driver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-13 04:44 EDT by Terry Barnaby
Modified: 2016-12-20 14:25 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:25:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Barnaby 2016-03-13 04:44:24 EDT
Description of problem:
On a particular system (I have other systems with Intel graphics that are fine) there is no HDMI graphics output from Xorg when kernel 4.4.4-301.fc23.x86_64 is used. As soon as the kernel boots the monitor (HDMI TV) goes blank with messages saying nothing is connected. xrandr lists no monitor is connected.
There is only a single monitor connected and that is a Samsung TV to the HDMI port.
If I boot from kernel 4.3.5-300.fc23.x86_64 all is fine.

Version-Release number of selected component (if applicable):
kernel 4.4.4-301.fc23.x86_64 is bad
kernel 4.4.3-300.fc23.x86_64 is bad
kernel 4.3.5-300.fc23.x86_64 is fine

The system is:
Motherboard:    Intel DG45FC
CPU:            Intel(R) Core(TM)2 Duo CPU E7300 @ 2.66GHz
System:         Fedora 23 (all updates to 2016-03-12)

If I run "Xorg -verbose" after disabling sddm, the difference in messages from a working and non working boot (different kernels) are:

Good
====
Current Operating System: Linux tv1.kingnet 4.3.5-300.fc23.x86_64 #1 SMP Mon Feb 1 03:18:41 UTC 2016 x86_64
(II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20150731
(--) intel(0): Output HDMI1 using initial mode 1920x1080 on pipe 0
(II) intel(0): switch to mode 1920x1080@60.0 on HDMI1 using pipe 0, position (0, 0), rotation normal, reflection none
(II) intel(0): Setting screen physical size to 508 x 285
(--) intel(0): HDMI max TMDS frequency 225000KHz

Bad
===
Current Operating System: Linux tv1.kingnet 4.4.4-301.fc23.x86_64 #1 SMP Fri Mar 4 17:42:42 UTC 2016 x86_64
(II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20151010

It appears the Intel graphics driver does not recognise that a monitor (Samsung TV) that is connected to the HDMI connector.
Comment 1 Gds Kdw 2016-03-31 18:18:55 EDT
Same problem here with Fedora 22 (all updated until 2016-04-01)

working with:
kernel 4.3.6-201.fc22.x86_64 and before

not working with:
kernel 4.4.4-200.fc22.x86_64
kernel 4.4.5-200.fc22.x86_64
kernel 4.4.6-200.fc22.x86_64

CPU:
Intel(R) Core(TM) i5-3337U CPU @ 1.80GHz

GPU:
Intel 3rd Gen Core processor Graphics Controller
GPU driver: i915

Monitor over HDMI: LG IPS235
Comment 2 Terry Barnaby 2016-04-29 13:28:35 EDT
Anyone know how best to track this bug down or where I should direct the issue to ?
Comment 3 Hans de Goede 2016-05-05 05:29:49 EDT
For intel graphics we closely track upstream, so your best option is probably to directly file a bug upstream as described here:

https://01.org/linuxgraphics/documentation/how-report-bugs
Comment 4 Terry Barnaby 2016-05-15 03:11:11 EDT
Thanks for the info. Will peruse this there.
Comment 5 Terry Barnaby 2016-05-17 03:36:15 EDT
Ok, have built and tried the latest (2016-05-16, 4.6.0-rc7+) drm-intel-nighlty git kernel from git://anongit.freedesktop.org/drm-intel using the config from config-4.4.9-300.fc23.x86_64. This works fine.

So I guess I will have to wait until the Fedora23 kernel incorporates the code that fixes this issue.
Comment 6 Gds Kdw 2016-06-01 09:21:24 EDT
fixed with version 4.4.10-200.fc22.x86_64 from the standard repositories (fedora 22) in my case
Comment 7 Terry Barnaby 2016-06-03 03:16:46 EDT
Yes, now fixed in Fedora 23 also with 4.5.5-201.fc23.x86_64 from Fedora updates.
Comment 8 Adam Pribyl 2016-07-14 09:27:02 EDT
This is still not fixed for me even with kernel-4.5.7-202.fc23.x86_64. I filled upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=96930

Up to now I have to stay on 4.3.4 from fc22 for Fedora 23.


It seems to be, the situation is even worse with Display Port compared to HDMI.
Comment 9 Fabash 2016-09-24 11:43:17 EDT
I have same issue on Fedora 23 with kernel-4.4.3-300.fc23.x86_64 and above.
I have to stay with kernel-4.3.5-300.fc23.x86_64 on Fedora 23.

Having build vanilla kernel v4.3.6 (last 4.3.x release) with default options, it works, where vanilla kernel v4.4.1 does NOT work with same default options.

For my understanding, please, could someone explain me why it is tracked under 'xorg-x11-drv-intel' component ? Should not be rather related with i915 drm driver ? Thanks.
Comment 11 Adam Pribyl 2016-11-13 13:42:55 EST
No change with 4.7.9-100.fc23.x86_64, upstream bug is ignored... It does not output anything to HDMI2.

The main difference is the 4.7.9 is missing few lines in the output:

448c472
< (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20160425
---
> (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20150731
475a500
> (--) intel(0): Output HDMI2 using initial mode 1920x1200 on pipe 0
522a548,549
> (II) intel(0): switch to mode 1920x1200@60.0 on HDMI2 using pipe 0, position (0, 0), rotation
> (II) intel(0): Setting screen physical size to 508 x 317



00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Device 2054
        Flags: bus master, fast devsel, latency 0, IRQ 43
        Memory at f7800000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at f000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915
        Kernel modules: i915

4.3.4:
Nov 13 18:48:26 gdm-x-session[2621]: (--) intel(0): Integrated Graphics Chipset: Intel(R) HD Graphics 5000
Nov 13 18:48:26 gdm-x-session[2621]: (--) intel(0): CPU: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2, avx, avx2; using a maximum of 2 threads
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Creating default Display subsection in Screen section
Nov 13 18:48:26 gdm-x-session[2621]: "Default Screen Section" for depth/fbbpp 24/32
Nov 13 18:48:26 gdm-x-session[2621]: (==) intel(0): Depth 24, (--) framebuffer bpp 32
Nov 13 18:48:26 gdm-x-session[2621]: (==) intel(0): RGB weight 888
Nov 13 18:48:26 gdm-x-session[2621]: (==) intel(0): Default visual is TrueColor
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Output HDMI1 has no monitor section
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Enabled output HDMI1
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Output DP1 has no monitor section
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Enabled output DP1
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Output HDMI2 has no monitor section
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Enabled output HDMI2
Nov 13 18:48:26 gdm-x-session[2621]: (--) intel(0): Using a maximum size of 256x256 for hardware cursors
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Output VIRTUAL1 has no monitor section
Nov 13 18:48:26 gdm-x-session[2621]: (II) intel(0): Enabled output VIRTUAL1
Nov 13 18:48:26 gdm-x-session[2621]: (--) intel(0): Output HDMI2 using initial mode 1920x1200 on pipe 0
Nov 13 18:48:26 gdm-x-session[2621]: (==) intel(0): TearFree disabled
Nov 13 18:48:26 gdm-x-session[2621]: (==) intel(0): DPI set to (96, 96)

4.7.9:
Nov 13 16:42:13 gdm-x-session[17013]: (--) intel(0): Integrated Graphics Chipset: Intel(R) HD Graphics 5000
Nov 13 16:42:13 gdm-x-session[17013]: (--) intel(0): CPU: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2, avx, avx2; using a maximum of 2 threads
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Creating default Display subsection in Screen section
Nov 13 16:42:13 gdm-x-session[17013]: "Default Screen Section" for depth/fbbpp 24/32
Nov 13 16:42:13 gdm-x-session[17013]: (==) intel(0): Depth 24, (--) framebuffer bpp 32
Nov 13 16:42:13 gdm-x-session[17013]: (==) intel(0): RGB weight 888
Nov 13 16:42:13 gdm-x-session[17013]: (==) intel(0): Default visual is TrueColor
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Output HDMI1 has no monitor section
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Enabled output HDMI1
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Output DP1 has no monitor section
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Enabled output DP1
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Output HDMI2 has no monitor section
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Enabled output HDMI2
Nov 13 16:42:13 gdm-x-session[17013]: (--) intel(0): Using a maximum size of 256x256 for hardware cursors
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Output VIRTUAL1 has no monitor section
Nov 13 16:42:13 gdm-x-session[17013]: (II) intel(0): Enabled output VIRTUAL1
Nov 13 16:42:13 gdm-x-session[17013]: (==) intel(0): TearFree disabled
Nov 13 16:42:13 gdm-x-session[17013]: (==) intel(0): DPI set to (96, 96)
Comment 12 Fedora End Of Life 2016-11-24 11:03:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fabash 2016-12-01 16:41:56 EST
It works for me now from F24 using kernel 4.8.10-200.fc24.x86_64
 (kernel: [drm] Initialized i915 1.6.0 20160711 for 0000:00:02.0 on minor 0)

Tested OK also with F25 Live Workstation using kernel 4.8.6-300.fc25.x86_64.
Comment 14 Adam Pribyl 2016-12-05 15:50:13 EST
I still feal a bit of uncertainity, but yes it seems that for me also the 4.8.10+ fixes the issue and I can finally use a latest kernel. So maybe we are close to close this bug...
Comment 15 Fedora End Of Life 2016-12-20 14:25:22 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.